# Set account-wide variables. These are automatically pulled in to configure the remote state bucket in the root
# terragrunt.hcl configuration.
locals {
  account_name   = "afs-mdr-test-c2"
  account_alias  = "afs-mdr-test-c2"
  aws_account_id = "816914342178"
  instance_termination_protection = false # set to true for production!
  splunk_prefix = "moose"

  account_tags = {
    "Client": local.splunk_prefix
  }
  c2_account_standards_path = "../../mdr-test-c2/005-account-standards-c2"

  # For CIDR assignment, see https://github.mdr.defpoint.com/mdr-engineering/msoc-infrastructure/wiki/IP-Address-Allocation
  vpc_info = {
    "vpc-system-services" = {
      "name" = "vpc-system-services",
      "purpose" = "Internal Services for Systems",
      "cidr" = "10.16.0.0/22",
      "tgw_attached" = false, # Attached via transit gateway creation
    }
  }

  # DNS Resolver
  resolver_instance_type = "t3a.micro"

  # AS Number used for various resources, but not every account needs one.
  asn = 64700
  security_vpc_cidr = "10.179.132.0/22"

  # Interconnects
  interconnect_asn = 64777
  interconnects_instance_type = "t3a.micro"
  interconnects_key_name = "fdamstra" # DO NOT CHANGE
  interconnects_count = 2
  interconnect_instances_path = "../../../aws-us-gov/mdr-test-c2/018-interconnect-instances"

  # Qualys Connector
  qualys_connector_externalid = "1606009953377" # Needs to come from the qualys console
}
